Name: objdesktop
Version: 1.0
Release: 2%{?dist}
License: GPLv3
Summary: Objects for desktop
URL: https://sourceforge.net/projects/objdesktop/
Source0: %{name}-%{version}.tar.xz
BuildRequires: gcc-c++
BuildRequires: qt4-devel
BuildRequires: phonon-devel
BuildRequires: dejavu-serif-fonts

%description
Objects for desktop

%prep
%setup -q -n %{name}-%{version}

%build
qmake-qt4
make %{?_smp_mflags}

%install
%make_install INSTALL_ROOT=%{buildroot}

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2017 Mosaab Alzoubi <moceap@hotmail.com> -->
<!--
EmailAddress: moceap@hotmail.com
SentUpstream: 2017-2-18
-->
<application>
  <id type="desktop">%{name}.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Objects for desktop</summary>
  <description>
    <p>
	Objects for desktop.
    </p>
  </description>
  <url type="homepage">https://sourceforge.net/projects/objdesktop/</url>
  <screenshots>
    <screenshot type="default">http://ojuba.org/screenshots/%{name}.png</screenshot>
  </screenshots>
  <updatecontact>moceap@hotmail.com</updatecontact>
</application>
EOF


%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml

%changelog
* Mon Mar 27 2017 Mosaab Alzoubi <moceap@hotmail.com> - 1.0-2
- Imported from http://download.opensuse.org/repositories/home:/kovax/CentOS_CentOS-6/src
- Clean the spec
